/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.openapitools.client.model.PlaceRoot;

/**
 * PlaceHistory
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class PlaceHistory {
  public static final String SERIALIZED_NAME_PLACE = "place";
  @SerializedName(SERIALIZED_NAME_PLACE)
  private PlaceRoot place;

  public static final String SERIALIZED_NAME_REVISIONS = "revisions";
  @SerializedName(SERIALIZED_NAME_REVISIONS)
  private List<List<PlaceRevision>> revisions = null;


  public PlaceHistory place(PlaceRoot place) {
    
    this.place = place;
    return this;
  }

   /**
   * Get place
   * @return place
  **/
  @ApiModelProperty(required = true, value = "")

  public PlaceRoot getPlace() {
    return place;
  }


  public void setPlace(PlaceRoot place) {
    this.place = place;
  }


  public PlaceHistory revisions(List<List<PlaceRevision>> revisions) {
    
    this.revisions = revisions;
    return this;
  }

  public PlaceHistory addRevisionsItem(List<PlaceRevision> revisionsItem) {
    if (this.revisions == null) {
      this.revisions = new ArrayList<List<PlaceRevision>>();
    }
    this.revisions.add(revisionsItem);
    return this;
  }

   /**
   * Get revisions
   * @return revisions
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public List<List<PlaceRevision>> getRevisions() {
    return revisions;
  }


  public void setRevisions(List<List<PlaceRevision>> revisions) {
    this.revisions = revisions;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PlaceHistory placeHistory = (PlaceHistory) o;
    return Objects.equals(this.place, placeHistory.place) &&
        Objects.equals(this.revisions, placeHistory.revisions);
  }

  @Override
  public int hashCode() {
    return Objects.hash(place, revisions);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PlaceHistory {\n");
    sb.append("    place: ").append(toIndentedString(place)).append("\n");
    sb.append("    revisions: ").append(toIndentedString(revisions)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

